%global fontname oflb-goudy-bookletter-1911
%global fontconf 61-%{fontname}.conf

Name:		%{fontname}-fonts
Summary:	Clean serif font based on Kennerly Old Style
Version:	20080206
Release:	3%{?dist}
License:	Public Domain
Group:		User Interface/X
# Source was originally downloaded from here:
# http://openfontlibrary.org/people/chemoelectric/chemoelectric_-_Goudy_Bookletter_1.zip
# It is no longer available. The main website has this zip for download:
# http://home.comcast.net/%7Ecrudfactory/cf3/fonts/GoudyBookletter1911--2008.02.06.zip
# But, it doesn't have the source, just an otf.
Source0:	chemoelectric_-_Goudy_Bookletter_1.zip
Source1:	%{name}-fontconfig.conf
Source2:	GoudyBookletter1911.otf
URL:		http://home.comcast.net/~crudfactory/cf3/gb1911.html
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires:	fontpackages-devel, fontforge
Requires:	fontpackages-filesystem
BuildArch:	noarch

%description
Based on the roman of Frederic Goudy's Kennerley Old Style (designed and cut in
1911 for a limited edition of "The Door in the Wall and Other Stories" by H G
Wells, published by Mitchell Kennerley). The letters, though not condensed, may
seem to fit together like pieces of a jigsaw puzzle, giving text an unusually
solid appearance.

%prep
%setup -q -c -n %{name}
sed -i 's|/home/trashman/bin/fontforge|/usr/bin/fontforge|g' make-otf.py

%build
# Fontforge's python support is broken, so we can't build this from source, sadly.
# ./generate-it.sh
# The otf file was generated by converting it with Fontforge manually.
cp %{SOURCE2} .

%install
rm -rf %{buildroot}
install -m 0755 -d %{buildroot}%{_fontdir}
install -m 0644 -p *.otf %{buildroot}%{_fontdir}
install -m 0755 -d %{buildroot}%{_fontconfig_templatedir} %{buildroot}%{_fontconfig_confdir}
install -m 0644 -p %{SOURCE1} %{buildroot}%{_fontconfig_templatedir}/%{fontconf}
ln -s %{_fontconfig_templatedir}/%{fontconf} %{buildroot}%{_fontconfig_confdir}/%{fontconf}

%clean
rm -rf %{buildroot}

%_font_pkg -f %{fontconf} *.otf

%changelog
* Thu Aug  5 2010 Tom "spot" Callaway <tcallawa@redhat.com> 20080206-4
- source building no longer sane, use pre-generated otf

* Mon Jun 28 2010 Tom "spot" Callaway <tcallawa@redhat.com> 20080206-3
- fix upstream URL and source

* Sat Jul 25 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 20080206-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Tue Mar 31 2009 Tom "spot" Callaway <tcallawa@redhat.com> 20080206-2
- rename package to oflb-goudy-bookletter-1911-fonts
- drop common_desc (unnecessary)
- fix fontconfig file
- use %%global rather than %%define
- continue to annoy people diffing spec files

* Sun Mar 29 2009 Tom "spot" Callaway <tcallawa@redhat.com> 20080206-1
- Initial package for Fedora
